Package org.h2gis.functions.spatial.convert

# Class UpdateGeometryZ

java.lang.Object
org.h2gis.functions.spatial.convert.UpdateGeometryZ

public class UpdateGeometryZ extends Object
This class is used to force the coordinate dimension of a geometry to 3 and update the z value

Author:
  Erwan Bocher

## Constructor Summary

Constructors
Constructor
Description
`UpdateGeometryZ()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.GeometryCollection`
`convert(org.locationtech.jts.geom.GeometryCollection gc, double z)`
Force the dimension of the GeometryCollection and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LinearRing`
`convert(org.locationtech.jts.geom.LinearRing linearRing, double z)`
Force the dimension of the LinearRing and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LineString`
`convert(org.locationtech.jts.geom.LineString lineString, double z)`
Force the dimension of the LineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiLineString`
`convert(org.locationtech.jts.geom.MultiLineString multiLineString, double z)`
Force the dimension of the MultiLineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiPolygon`
`convert(org.locationtech.jts.geom.MultiPolygon multiPolygon, double z)`
Force the dimension of the MultiPolygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Polygon`
`convert(org.locationtech.jts.geom.Polygon polygon, double z)`
Force the dimension of the Polygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Geometry`
`force(org.locationtech.jts.geom.Geometry geom, double z)`
Force the dimension of the geometry to 3, update correctly the coordinate dimension and change the z value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpdateGeometryZ

public UpdateGeometryZ()

## Method Details

### force

public static org.locationtech.jts.geom.Geometry force(org.locationtech.jts.geom.Geometry geom, double z)
Force the dimension of the geometry to 3, update correctly the coordinate dimension and change the z value

Parameters:
  `geom` - the input geometry
  `z` - the value to update
Returns:

### convert

public static org.locationtech.jts.geom.GeometryCollection convert(org.locationtech.jts.geom.GeometryCollection gc, double z)
Force the dimension of the GeometryCollection and update correctly the coordinate dimension

Parameters:
  `gc` -
  `z` -
Returns:

### convert

public static org.locationtech.jts.geom.MultiPolygon convert(org.locationtech.jts.geom.MultiPolygon multiPolygon, double z)
Force the dimension of the MultiPolygon and update correctly the coordinate dimension

Parameters:
  `multiPolygon` -
  `z` -
Returns:

### convert

public static org.locationtech.jts.geom.MultiLineString convert(org.locationtech.jts.geom.MultiLineString multiLineString, double z)
Force the dimension of the MultiLineString and update correctly the coordinate dimension

Parameters:
  `multiLineString` -
  `z` -
Returns:

### convert

public static org.locationtech.jts.geom.Polygon convert(org.locationtech.jts.geom.Polygon polygon, double z)
Force the dimension of the Polygon and update correctly the coordinate dimension

Parameters:
  `polygon` -
  `z` -
Returns:

### convert

public static org.locationtech.jts.geom.LineString convert(org.locationtech.jts.geom.LineString lineString, double z)
Force the dimension of the LineString and update correctly the coordinate dimension

Parameters:
  `lineString` -
  `z` -
Returns:

### convert

public static org.locationtech.jts.geom.LinearRing convert(org.locationtech.jts.geom.LinearRing linearRing, double z)
Force the dimension of the LinearRing and update correctly the coordinate dimension

Parameters:
  `linearRing` -
  `z` -
Returns: